Bug 1260790 - RFE: adjustable format strings for node IDs logging
RFE: adjustable format strings for node IDs logging
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: corosync (Show other bugs)
7.3
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Jan Friesse
cluster-qe@redhat.com
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 15:15 EDT by Jaroslav Kortus
Modified: 2017-10-17 02:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Kortus 2015-09-07 15:15:04 EDT
Description of problem:
Sep  2 19:20:57 virt-009 corosync[3150]: [TOTEM ] A new membership (10.34.71.9:140) was formed. Members joined: 2 4294967295
Sep  2 19:20:57 virt-009 corosync[3150]: [QUORUM] This node is within the primary component and will provide service.
Sep  2 19:20:57 virt-009 corosync[3150]: [QUORUM] Members[3]: 1 2 -1

Note the -1 in the output instead of the big ID. In our discussion Honza suggested filing this RFE and ask for making the output adjustable (%u, %d, %x).

Version-Release number of selected component (if applicable):
corosync-2.3.4-7.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. set large node ids in corosync.conf
2. start corosync cluster
3.

Actual results:
-1 in output for big IDs

Expected results:
output as per user request (%u, %d or %x).

Additional info:
Comment 2 Jan Friesse 2015-09-08 03:25:00 EDT
Just as reminder, main reasonable for this bug is to walk thru source code of corosync/tools and replace nodeid output modifier with macro, so it will be evident WHAT is nodeid.

It may also make sense to consider moving nodeid to defined type instead of int (type may be macro, so no real change, but makes clear distinction what is nodeid).

Note You need to log in before you can comment on or make changes to this bug.